## org.mortbay.http.jmx
Class HttpServerMBean

    java.lang.Object
      |
      +--org.mortbay.util.jmx.ModelMBeanImpl
            |
            +--org.mortbay.util.jmx.LifeCycleMBean
                  |
                  +--org.mortbay.http.jmx.HttpServerMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, java.util.EventListener, HttpServer.ComponentEventListener, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

Direct Known Subclasses:
  ServerMBean

public class HttpServerMBean
extends LifeCycleMBean
implements HttpServer.ComponentEventListener

HttpServer MBean. This Model MBean class provides the mapping for HttpServer management methods. It also registers itself as a membership listener of the HttpServer, so it can create and destroy MBean wrappers for listeners and contexts.

Version:
  $Revision: 1.10 $
Author:
  Greg Wilkins (gregw)

Field Summary

Fields inherited from class org.mortbay.util.jmx.ModelMBeanImpl
`IMPACT_ACTION, IMPACT_ACTION_INFO, IMPACT_INFO, IMPACT_UNKOWN, INT, NO_PARAMS, OBJECT, ON_MBEAN, ON_OBJECT, READ_ONLY, READ_WRITE, STRING`

Constructor Summary
`HttpServerMBean()` Constructor.

Method Summary
`void` `addComponent(org.mortbay.http.HttpServer.ComponentEvent event)`
`javax.management.ObjectName[]` `getComponents()`
`java.lang.String` `getVersion()`
`void` `postDeregister()` Post Deregister.
`void` `postRegister(java.lang.Boolean ok)`
`void` `removeComponent(org.mortbay.http.HttpServer.ComponentEvent event)`
`void` `setManagedResource(java.lang.Object o, java.lang.String s)`

Methods inherited from class org.mortbay.util.jmx.ModelMBeanImpl

`addAttributeChangeNotificationListener, addNotificationListener, defineAttribute, defineAttribute, defineAttribute, defineAttribute, defineOperation, defineOperation, defineOperation, getAttribute, getAttributes, getBaseObjectName, getDefaultDomain, getManagedResource, getMBeanInfo, getMBeanServer, getNotificationInfo, getObjectName, invoke, load, mbeanFor, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setBaseObjectName, setDefaultDomain, setModelMBeanInfo, store, uniqueObjectName, uniqueObjectName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServerMBean

    public HttpServerMBean()
                    throws javax.management.MBeanException,
                           javax.management.InstanceNotFoundException

  Constructor.

Throws:
  `javax.management.MBeanException`
  `javax.management.InstanceNotFoundException`

Method Detail

### setManagedResource

    public void setManagedResource(java.lang.Object o,
                                   java.lang.String s)
                            throws javax.management.MBeanException,
                                   javax.management.InstanceNotFoundException,
                                   javax.management.modelmbean.InvalidTargetObjectTypeException

  Specified by:
    `setManagedResource` in interface `javax.management.modelmbean.ModelMBean`
  Overrides:
    `setManagedResource` in class `ModelMBeanImpl`
    `javax.management.MBeanException`
    `javax.management.InstanceNotFoundException`
    `javax.management.modelmbean.InvalidTargetObjectTypeException`

### addComponent

    public void addComponent(org.mortbay.http.HttpServer.ComponentEvent event)

  Specified by:
    `addComponent` in interface `HttpServer.ComponentEventListener`

### getVersion

    public java.lang.String getVersion()

### getComponents

    public javax.management.ObjectName[] getComponents()

### removeComponent

    public void removeComponent(org.mortbay.http.HttpServer.ComponentEvent event)

  Specified by:
    `removeComponent` in interface `HttpServer.ComponentEventListener`

### postRegister

    public void postRegister(java.lang.Boolean ok)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `ModelMBeanImpl`
  Parameters:
    `ok` -

### postDeregister

    public void postDeregister()

  Description copied from class: `ModelMBeanImpl`
  Post Deregister. This implementation destroys this MBean and it cannot be used again.

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postDeregister` in class `ModelMBeanImpl`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.